/*
 * This program source code file is part of SystemK, a library in the KTag project.
 *
 * 🛡️ <https://ktag.clubk.club> 🃞
 *
 * Copyright © 2016-2025 Joseph P. Kearney and the KTag developers.
 *
 * This program is free software: you can redistribute it and/or modify it under
 * the terms of the GNU Affero General Public License as published by the Free
 * Software Foundation, either version 3 of the License, or (at your option) any
 * later version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE.  See the GNU Affero General Public License for more
 * details.
 *
 * There should be a copy of the GNU Affero General Public License in the LICENSE
 * file in the root of this repository.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef STATE_PLAYING_H
#define STATE_PLAYING_H

    
inline bool STATE_IsPlayingSubstate(StateID_T state)
{
    bool is_substate = false;
    
    if ((state == STATE_PLAYING__INTERACTING) ||
        (state == STATE_PLAYING__TAGGED_OUT))
    {
        is_substate = true;
    }
    return is_substate;
}

void Playing_Entry(StateMachineContext_T * context);
void Playing_Exit(StateMachineContext_T * context);
void HandleBLEStatusPacket(const BLE_StatusPacket_T * const packet);
void HandleBLETagPacket(const BLE_TagPacket_T * const packet);

/* Include Files */
#include "States/Playing/State_Playing__Interacting.h"
#include "States/Playing/State_Playing__Tagged_Out.h"

#endif // STATE_PLAYING_H
